libcamera v0.6.0 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
libcamera::ipa::AwbAlgorithm::ModeConfig Class Reference

Holds the configuration of a single AWB mode. More...

## Public Attributes
double | ctHi
| The highest valid colour temperature of that mode.
double | ctLo
| The lowest valid colour temperature of that mode.

## Detailed Description

Holds the configuration of a single AWB mode.

AWB modes limit the regulation of the AWB algorithm to a specific range of colour temperatures.

The documentation for this class was generated from the following files:

- src/ipa/libipa/awb.h
- src/ipa/libipa/awb.cpp